<?php
declare(strict_types=1);

namespace App\Entity\DTO\QRCode;

readonly class QRCode {
    public function __construct(
        public string $iban,
        public \DateTimeImmutable $dueDate,
        public string $message,
        public QRCodeMoney $money,
        public QRCodeQROptions $qrOptions,
        public ?QRCodePaymentIdentification $paymentIdentification)
    { }
}
