<?php
declare(strict_types=1);

namespace App\Service;

use App\Entity\DTO\QRCode\QRCode;

interface CacheableQRCodeGeneratorInterface extends QRCodeGeneratorInterface
{
    // We can't calculate cache key directly from QRCode
    public function getCacheKey(QRCode $entity): string;
}
